set terminal postscript eps color 'Times,24'

set xrange [0:1100]
set xlabel "Query Throughput (x1000)"
set ylabel "Read Latency (us), 99th Percentile"

set logscale y

load 'plots/settings.gpi'

set output "red-1604-rx16-composite.eps"
set key top left Left reverse
plot \
 "data/red-1604-rx16-vanillaA.dat" using (($2)/1000):6 title "Vanilla (pin)" ls 2 pt 6,\
 "data/red-1604-rx16-fibreA.dat" using (($2)/1000):6 title "Fred (pin)" ls 3,\
 "data/red-1604-rx16-arachne.dat" using (($2)/1000):6 title "Arachne" ls 1,\
 "data/red-1604-rx16-pthread.dat" using (($2)/1000):6 title "Pthread" ls 5
set output

set output "red-1604-rx16-median.eps"
set key top left Left reverse
plot \
 "data/redrfs-1604-rx16-vanillaA.dat" using (($2)/1000):4 title "Vanilla (pin/rfs)" ls 2,\
 "data/red-1604-rx16-arachne.dat" using (($2)/1000):4 title "Arachne" ls 1,\
 "data/red-1604-rx16-fibreA.dat" using (($2)/1000):4 title "Fred (pin)" ls 3,\
 "data/redrfs-1604-rx16-pthread.dat" using (($2)/1000):4 title "Pthread (rfs)" ls 5
set output

set output "red-1604-rx16-vanilla.eps"
set key bottom right Right noreverse
plot \
 "data/red-1604-rx16-vanilla.dat" using (($2)/1000):6 title "Vanilla" ls 2 pt 1,\
 "data/redrfs-1604-rx16-vanilla.dat" using (($2)/1000):6 title "Vanilla (rfs)" ls 2 pt 4,\
 "data/red-1604-rx16-vanillaA.dat" using (($2)/1000):6 title "Vanilla (pin)" ls 2 pt 6,\
 "data/redrfs-1604-rx16-vanillaA.dat" using (($2)/1000):6 title "Vanilla (pin/rfs)" ls 2
set output

exit

set output "redvanilla-avg.eps"
set key bottom right
plot \
 "data/red-1604-rx16-vanilla.dat" using (($2)/1000):4 title "Vanilla",\
 "data/red-1604-rx16-vanillaA.dat" using (($2)/1000):4 title "Vanilla (pin)",\
 "data/redrfs-1604-rx16-vanilla.dat" using (($2)/1000):4 title "Vanilla (rfs)",\
 "data/redrfs-1604-rx16-vanillaA.dat" using (($2)/1000):4 title "Vanilla (pin/rfs)"
set output

set output "red-1604-rx16-fibre.eps"
set key top left Left reverse
plot \
 "data/red-1604-rx16-arachne.dat" using (($2)/1000):6 title "Arachne",\
 "data/red-1604-rx16-fibre.dat" using (($2)/1000):6 title "Fred",\
 "data/red-1604-rx16-fibreA.dat" using (($2)/1000):6 title "Fred (pin)",\
 "data/redrfs-1604-rx16-fibre.dat" using (($2)/1000):6 title "Fred (rfs)",\
 "data/redrfs-1604-rx16-fibreA.dat" using (($2)/1000):6 title "Fred (pin/rfs)"
set output

set output "redrfs-1604-rx16.eps"
set key top left Left reverse
plot \
 "data/red-1604-rx16-arachne.dat" using (($2)/1000):6 title "Arachne",\
 "data/redrfs-1604-rx16-arachne.dat" using (($2)/1000):6 title "Arachne (rfs)",\
 "data/redrfs-1604-rx16-fibre.dat" using (($2)/1000):6 title "Fred (rfs)",\
 "data/redrfs-1604-rx16-fibreA.dat" using (($2)/1000):6 title "Fred (pin/rfs)",\
 "data/redrfs-1604-rx16-vanilla.dat" using (($2)/1000):6 title "Vanilla (rfs)",\
 "data/redrfs-1604-rx16-vanillaA.dat" using (($2)/1000):6 title "Vanilla (pin/rfs)"
set output
