set terminal postscript eps color 'Times,24'

set xrange [0:900]
set xlabel "Query Throughput (x1000)"
set ylabel "Read Latency (us), 99th Percentile"

set logscale y

load 'plots/settings.gpi'

set output "redx5-composite.eps"
set key top left Left reverse
plot \
 "data/redx5-vanillaA.dat" using (($2)/1000):6 title "Vanilla (pin)" ls 2 pt 6,\
 "data/redx5-fibreA.dat" using (($2)/1000):6 title "Fred (pin)" ls 3,\
 "data/redx5-arachne.dat" using (($2)/1000):6 title "Arachne" ls 1,\
 "data/redx5-pthread.dat" using (($2)/1000):6 title "Pthread" ls 5
set output

set output "redx5-median.eps"
set key top left Left reverse
plot \
 "data/redx5-vanillaA.dat" using (($2)/1000):4 title "Vanilla (pin/rfs)" ls 2,\
 "data/redx5-arachne.dat" using (($2)/1000):4 title "Arachne" ls 1,\
 "data/redx5-fibreA.dat" using (($2)/1000):4 title "Fred (pin)" ls 3,\
 "data/redx5-pthread.dat" using (($2)/1000):4 title "Pthread (rfs)" ls 5
set output
