#!/bin/bash
if [ $# -lt 1 ] || [ ! -d $1 ]; then
	echo "$0 <raw-data-dir>"
	exit 1
fi
basedir=$1
mkdir -p data

function process() {
	[ -r $basedir/$2.1.out ] && {
		echo $basedir/$2 >&2
		rate=$(fgrep -h "work " $basedir/$2.*.out|avg.sh 4|cut -f2,4 -d' ')
		tu=$(fgrep -h "user " $basedir/$2.*.time|avg.sh 2|cut -f2,4 -d' ')
		ts=$(fgrep -h "syst " $basedir/$2.*.time|avg.sh 2|cut -f2,4 -d' ')
		echo $1 $rate $tu $ts
	}
}

for t in arachne arachneS boost fibre go libfiber mordor pthreads qthreads upp; do
#	for w in 10 1000; do
#		for ((p=1;p<=128;p+=1)); do
#			process $p threadtest/exp1/$t-$p-$w
#		done > data/threadtest-exp1-$t-$w.dat
#	done
	for w in 1 4 8 12 16 20 24 28 32 36 40; do
		echo -n " "
		for p in 1 32; do
			f=$(expr $p \* $p)
			echo -n $(process $w threadtest/exp2/$t-$f-$w)
		done
		echo
	done > data/threadtest-exp2-$t.dat
	for w in 20; do
		for ((p=1;p<=64;p+=1)); do
			f=$(expr $p \* $p)
			process $p threadtest/exp3/$t-$f-$w
		done > data/threadtest-exp3-$t.dat
	done # threads
done # variants
