#!/bin/bash
if [ $# -lt 1 ] || [ ! -d $1 ]; then
	echo "$0 <raw-data-dir>"
	exit 1
fi
basedir=$1
mkdir -p data

function process() {
	[ -r $basedir/$2.1.out ] && {
		echo $2 >&2
		echo $2|fgrep -q exp4 && {
			rate=$(fgrep -h "req/s" $basedir/$2.*.out|avg.sh 10|cut -f2,4 -d' ')
			echo $1 $rate
		} || {
			rate=$(fgrep -h "Requests/sec:" $basedir/$2.*.out|avg.sh 2|cut -f2,4 -d' ')
			conns=$(fgrep -h "Socket errors:" $basedir/$2.*.out|avg.sh 4|cut -f2,4 -d' ')
			to=$(fgrep -h "Socket errors:" $basedir/$2.*.out|avg.sh 12|cut -f2,4 -d' ')
			echo $1 $rate $conns $to
		}
	}
}

function process2() {
	[ -r $basedir/$2.1.$1.out ] && {
		echo $2 >&2
		echo $2|fgrep -q exp6 && {
			rate=$(fgrep -h "req/s" $basedir/$2.*.$1.out|avg.sh 10|cut -f2,4 -d' ')
			echo $1 $rate
		} || {
			rate=$(fgrep -h "Requests/sec:" $basedir/$2.*.$1.out|avg.sh 2|cut -f2,4 -d' ')
			conns=$(fgrep -h "Socket errors:" $basedir/$2.*.$1.out|avg.sh 4|cut -f2,4 -d' ')
			to=$(fgrep -h "Socket errors:" $basedir/$2.*.$1.out|avg.sh 12|cut -f2,4 -d' ')
			echo $(expr 32 / $1) $rate $conns $to
		}
	}
}

for t in events fibre go pthreads scope upp; do
	for ((p=1;p<=32;p+=1)); do
		process $p webserver/exp1/$t-$p-15000
	done > data/webserver-exp1-$t.dat
	for ((c=3000;c<=60000;c+=3000)); do
		process $c webserver/exp2/$t-16-$c
	done > data/webserver-exp2-$t.dat
	for ((c=6000;c<=600000;c+=6000)); do
		process $c webserver/exp3/$t-16-$c
	done > data/webserver-exp3-$t.dat
	for ((p=1;p<=32;p+=1)); do
		process $p webserver/exp4/$t-$p-0
	done > data/webserver-exp4-$t.dat
	for ((p=32;p>=1;p-=1)); do
		process2 $p webserver/exp5/$t-32-15000
	done > data/webserver-exp5-$t.dat
	for ((p=1;p<=32;p+=1)); do
		process2 $p webserver/exp6/$t-32-0
	done > data/webserver-exp6-$t.dat
done
